<launch>
  <include file="$(find rover_simulation)/launch/gazebo.launch" />

  <!-- warn change back -->
  <rosparam command="load" file="$(find rover_simulation)/config/arm_control.yaml" />
  <node name="rover_arm_controllers" pkg="controller_manager" type="spawner" args="
              /arm/shoulder_swivel
              /arm/shoulder_updown
              /arm/elbow
              /arm/wrist_updown
              /arm/wrist_swivel
              /arm/pinchy_left
              /arm/pinchy_right
              /arm/arm_state_controller" />

  <rosparam command="load" file="$(find rover_simulation)/config/base_control.yaml" />
  <node name="rover_base_controllers" pkg="controller_manager" type="spawner" args="
              /base/lf_controller
              /base/lm_controller
              /base/lb_controller
              /base/rf_controller
              /base/rm_controller
              /base/rb_controller" />

  <node name="arm_controller" pkg="rover_simulation" type="rover_arm_controller" output="screen" />
  <!-- <node name="rover_arm_teleop" pkg="rover_simulation" type="slider_control.py"/> -->
  <!-- <node name="rover_arm_teleop" pkg="rover_simulation" type="inverse_kin.py"/> -->
  <node name="base_controller" pkg="rover_simulation" type="rover_base_controller" output="screen" />
  <!-- Not using the base teleop key right now -->
  <!-- <node name="rover_base_teleop" pkg="rover_simulation" type="cmd_vel.py"/> -->
  <node name="rover_odom_pub" pkg="rover_simulation" type="odom_publisher.py" />

</launch>
